#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.1.1.133
 Author:         peethebee
				 Markus

 Script Function:
	Provides a GUI for CleanScript.exe

#ce ----------------------------------------------------------------------------

Opt("GUIOnEventMode", 1)

$gui = GUICreate("CleanScript GUI 1.0  - by peethebee & Markus, 2006", 700, 500)
GUISetOnEvent(-3, "quit")
GUICtrlCreateLabel("Source path:", 20, 20, 150, 20)
$input_src = GUICtrlCreateInput("", 20, 35, 550, 20)
$button_src = GUICtrlCreateButton("...", 575, 35, 50, 20)
GUICtrlSetOnEvent(-1, "src")
GUICtrlCreateLabel("Destination path:", 20, 80, 150, 20)
$input_dest = GUICtrlCreateInput("", 20, 95, 550, 20)
$button_dest = GUICtrlCreateButton("...", 575, 95, 50, 20)
GUICtrlSetOnEvent(-1, "dest")
GUICtrlCreateGroup("options", 20, 150, 550, 325)
$opt1 = GUICtrlCreateCheckbox("remove comments", 40, 170, 250, 20)
GUICtrlSetState(-1, 1)
$opt2 = GUICtrlCreateCheckbox("remove unused functions", 40, 190, 250, 20)
GUICtrlSetState(-1, 1)
$opt3 = GUICtrlCreateCheckbox("remove unused Consts and Vars", 40, 210, 250, 20)
GUICtrlSetState(-1, 128) ; $GUI_DISABLE
$opt_incl = GUICtrlCreateCheckbox("use beta includes", 40, 250, 250, 20)
GUICtrlSetState(-1, 1)
$button_start = GUICtrlCreateButton("&start", 575, 450, 100, 25, 0x0001) ; DEF PUSH
GUICtrlSetOnEvent(-1, "start")
GUISetState()

While 1
	Sleep(100)
WEnd

Func quit()
	Exit
EndFunc

Func src()
	$path = FileOpenDialog("Select source file", @ScriptDir, "AutoIt v3 scripts (*.au3)", 1+2)
	If not @error Then
		GUICtrlSetData($input_src, $path)
	EndIf
EndFunc

Func dest()
	$path = FileOpenDialog("Select destination file", @ScriptDir, "AutoIt v3 scripts (*.au3)|All files (*.*)")
	If not @error Then
		GUICtrlSetData($input_dest, $path)
	EndIf
EndFunc

Func start()
	GUICtrlSetState($button_start, 128)
	
	; src	
	If GUICtrlRead($input_src) <> "" Then
		$input_src_str = FileGetShortName(GUICtrlRead($input_src))
	Else
		MsgBox(16+8192, "Error", "No source feil specified...")
		Return -1
	EndIf
	
	; dest
	If GUICtrlRead($input_dest) <> "" Then
		$input_dest_str = FileGetShortName(GUICtrlRead($input_dest))
	Else
		$input_dest_str = '"' & StringTrimRight(GUICtrlRead($input_src), 4) & '_clean.au3"'
	EndIf
	
	; options
	$param_str = ""
	If GUICtrlRead($opt1) = 1 Then
		$param_str &= "C"
	Else
		$param_str &= "-"
	EndIf
	If GUICtrlRead($opt2) = 1 Then
		$param_str &= "F"
	Else
		$param_str &= "-"
	EndIf
	If GUICtrlRead($opt3) = 1 Then
		$param_str &= "G"
	Else
		$param_str &= "-"
	EndIf
		
	; include path
	If GUICtrlRead($opt_incl) = 1 Then
		$incl_dir_str = FileGetShortName(RegRead("HKLM\Software\AutoIt v3\AutoIt", "betaInstallDir") & "\Include")
	Else
		$incl_dir_str = FileGetShortName(RegRead("HKLM\Software\AutoIt v3\AutoIt", "InstallDir") & "\Include")
	EndIf
	
	; path
	$parts = StringSplit($input_src_str, "\")
	$script_path = "" 
	For $i = 1 to $parts[0] -1
		$script_path = $script_path & $parts[$i] & "\"
	Next
	$script_path = StringTrimRight($script_path, 1)	
	
	; start C++ program
	RunWait(@ScriptDir & "\CleanScript.exe "  & $input_src_str & " " & $param_str & " " & $input_dest_str & " " & $incl_dir_str & " " & $script_path) 
	
	GUICtrlSetState($button_start, 64)
EndFunc